> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# تحديث مساحة عمل

> يحدث اسم مساحة عمل.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json PATCH /v1/public/accounts/{account_id}/workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces/{workspace_id}:
    patch:
      tags:
        - public-accounts
        - public-workspaces
      summary: تحديث مساحة عمل
      description: يحدث اسم مساحة عمل.
      operationId: >-
        update_public_workspace_v1_public_accounts__account_id__workspaces__workspace_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceRequest:
      description: مخطط طلب إنشاء مساحة عمل أو تحديثها.
      properties:
        name:
          description: اسم عرض مساحة العمل
          maxLength: 255
          minLength: 1
          title: الاسم
          type: string
      required:
        - name
      title: WorkspaceRequest
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: الحساب UUID الذي يمتلك مساحة العمل
          format: uuid
          title: معرف الحساب
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني لإنشاء مساحة العمل
          title: تاريخ الإنشاء
        id:
          description: UUID مساحة العمل
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم عرض مساحة العمل
          title: الاسم
          type: string
        status:
          default: active
          description: حالة دورة حياة مساحة العمل
          title: الحالة
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: الطابع الزمني لآخر تحديث لمساحة العمل
          title: تاريخ التحديث
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````